Subject: bug#6070: 23.1.96; delete-by-moving-to-trash

From: Eli Zaretskii <[email-masked]>
Date: Sat, 01 May 2010 17:17:51 +0300

> From: Leo <[email-masked]>
> Date: Sat, 01 May 2010 13:43:28 +0100
> Cc: 
> 
> In my view the current implementation of this feature is far from
> optimal. It is almost sure that every occurrence of delete-file should
> not move things to trash bin. And it seems only a handful of commands
> need to move things to trash bin when deleting. Do you have a better way
> of fixing this bug?

Perhaps the few functions that create temporary files should record
the file in some list, and delete-file could then consult that list to
decide whether to delete or move to trash bin.

Alternatively, perhaps only a few interactive commands should actually
move to trash, while all the other uses of delete-file should actually
delete.